ドキュメント
ドキュメントステータスを一括更新
複数のドキュメントを一括で有効化、無効化、アーカイブ、またはアーカイブ解除します。
PATCH
/
datasets
/
{dataset_id}
/
documents
/
status
/
{action}
ドキュメントステータスを一括更新
curl --request PATCH \
--url https://{api_base_url}/datasets/{dataset_id}/documents/status/{action} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_ids": [
"<string>"
]
}
'import requests
url = "https://{api_base_url}/datasets/{dataset_id}/documents/status/{action}"
payload = { "document_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_ids: ['<string>']})
};
fetch('https://{api_base_url}/datasets/{dataset_id}/documents/status/{action}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "success"
}{
"status": 400,
"code": "invalid_action",
"message": "Invalid action."
}{
"status": 403,
"code": "forbidden",
"message": "Dataset api access is not enabled."
}{
"status": 404,
"code": "not_found",
"message": "Dataset not found."
}Authorizations
API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}。API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。
Path Parameters
ナレッジベース ID です。
enable で有効化、disable で無効化、archive でアーカイブ、un_archive でアーカイブから復元します。
Available options:
enable, disable, archive, un_archive Body
application/json
更新するドキュメント ID のリストです。
Response
ドキュメントが正常に更新されました。
操作結果です。
Last modified on July 9, 2026
Was this page helpful?
⌘I
ドキュメントステータスを一括更新
